com.io7m.r2.filters

## Interface R2FilterFXAAParametersType

- All Known Implementing Classes:
    R2FilterFXAAParameters

      public interface R2FilterFXAAParametersType

  The type of parameters for filters that apply anti-aliasing using the FXAA algorithm.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default float` | `edgeThreshold()` The minimum amount of local contrast required to apply the algorithm.
    `default float` | `edgeThresholdMinimum()` The minimum edge brightness for which to enable filtering.
    `default R2FilterFXAAQuality` | `quality()`
    `default float` | `subPixelAliasingRemoval()` The amount of subpixel aliasing removal.
    `R2Texture2DUsableType` | `texture()`

- - ### Method Detail

    - #### texture

          R2Texture2DUsableType texture()

      Returns:
        The texture that will be filtered

    - #### quality

          default R2FilterFXAAQuality quality()

      Returns:
        The FXAA quality preset

    - #### subPixelAliasingRemoval

          default float subPixelAliasingRemoval()

      The amount of subpixel aliasing removal.

      The range of useful values is `[0.0, 1.0]`, where `0.0` turns off filtering and `1.0` gives almost excessive filtering.

      Returns:
        The subpixel aliasing removal amount

    - #### edgeThreshold

          default float edgeThreshold()

      The minimum amount of local contrast required to apply the algorithm.

      The range of useful values is `[0.063, 0.333]`, where `0.333` is fastest but lowest quality, and `0.063` is overkill quality and is relatively slow.

      Returns:
        The edge threshold

    - #### edgeThresholdMinimum

          default float edgeThresholdMinimum()

      The minimum edge brightness for which to enable filtering.

      The range of useful values is `[0.0312, 0.0833]`, where `0.0312` is slowest, and `0.0833` is fastest.

      This value is somewhat scene-specific, but the default (and highest) value appears to work well. The documentation for the FXAA algorithm suggests looking at mostly-green rendered content (the algorithm depends on luma information taken from the green channel of the filtered image), setting this value at `0.0`, and then increasing it until aliasing artifacts appear.

      Returns:
        The edge threshold minimum

Copyright © 2017 <code@io7m.com> http://io7m.com